timer.h File Reference
Osmocom timers

Osmocom timer handling routines. More...

`#include <sys/time.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/linuxrbtree.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_timer_list
| A structure representing a single instance of a timer. More...

## Functions

void | osmo_timer_add (struct osmo_timer_list *timer)
| add a new timer to the timer management More...
void | osmo_timer_schedule (struct osmo_timer_list *timer, int seconds, int microseconds)
| schedule a timer at a given future relative time More...
void | osmo_timer_del (struct osmo_timer_list *timer)
| delete a timer from timer management More...
int | osmo_timer_pending (struct osmo_timer_list *timer)
| check if given timer is still pending More...
int | osmo_timer_remaining (const struct osmo_timer_list *timer, const struct timeval *now, struct timeval *remaining)
| compute the remaining time of a timer More...
struct timeval * | osmo_timers_nearest (void)
| Determine time between now and the nearest timer. More...
void | osmo_timers_prepare (void)
| Find the nearest time and update nearest_p.
int | osmo_timers_update (void)
| fire all timers... and remove them
int | osmo_timers_check (void)

## Detailed Description

Osmocom timer handling routines.